| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
SVNAccess Class Reference
Network

`#include <svnaccess.h>`

## Public Member Functions
| SVNAccess (const char *dir)
virtual | ~SVNAccess ()
bool | add (const BufferStringSet &)
bool | add (const char *)
const char * | baseDir () const
bool | changeFolder (const char *fnm, const char *fromsubdir, const char *tosubdir)
bool | commit (const BufferStringSet &, const char *msg=0)
bool | commit (const char *fnm, const char *msg=0)
void | diff (const char *fnm, BufferString &) const
const char * | host () const
bool | isInSVN (const char *) const
bool | isOK () const
bool | lock (const BufferStringSet &)
bool | lock (const char *)
bool | remove (const BufferStringSet &)
bool | remove (const char *)
bool | rename (const char *subdir, const char *from, const char *to)
const char * | reposDir () const
bool | update (const char *fnm=0)

## Protected Attributes
const BufferString | dir_
const bool | havesvn_
const BufferString | host_
const BufferString | reposdir_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ SVNAccess()

SVNAccess::SVNAccess | ( | const char * | dir | ) |

## ◆ ~SVNAccess()

virtual SVNAccess::~SVNAccess | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ add() [1/2]

bool SVNAccess::add | ( | const BufferStringSet & |  | ) |

## ◆ add() [2/2]

bool SVNAccess::add | ( | const char * |  | ) |

## ◆ baseDir()

const char * SVNAccess::baseDir | ( |  | ) | const
| inline

## ◆ changeFolder()

bool SVNAccess::changeFolder | ( | const char * | fnm,
|  | const char * | fromsubdir,
|  | const char * | tosubdir )

## ◆ commit() [1/2]

bool SVNAccess::commit | ( | const BufferStringSet & | ,
|  | const char * | msg = 0 )

## ◆ commit() [2/2]

bool SVNAccess::commit | ( | const char * | fnm,
|  | const char * | msg = 0 )

## ◆ diff()

void SVNAccess::diff | ( | const char * | fnm,
|  | BufferString & | ) const

## ◆ host()

const char * SVNAccess::host | ( |  | ) | const
| inline

## ◆ isInSVN()

bool SVNAccess::isInSVN | ( | const char * |  | ) | const

## ◆ isOK()

bool SVNAccess::isOK | ( |  | ) | const

## ◆ lock() [1/2]

bool SVNAccess::lock | ( | const BufferStringSet & |  | ) |

## ◆ lock() [2/2]

bool SVNAccess::lock | ( | const char * |  | ) |

## ◆ remove() [1/2]

bool SVNAccess::remove | ( | const BufferStringSet & |  | ) |

## ◆ remove() [2/2]

bool SVNAccess::remove | ( | const char * |  | ) |

## ◆ rename()

bool SVNAccess::rename | ( | const char * | subdir,
|  | const char * | from,
|  | const char * | to )

## ◆ reposDir()

const char * SVNAccess::reposDir | ( |  | ) | const
| inline

## ◆ update()

bool SVNAccess::update | ( | const char * | fnm = 0 | ) |

## Member Data Documentation

## ◆ dir_

const BufferString SVNAccess::dir_
| protected

## ◆ havesvn_

const bool SVNAccess::havesvn_
| protected

## ◆ host_

const BufferString SVNAccess::host_
| protected

## ◆ reposdir_

const BufferString SVNAccess::reposdir_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025